## ros-jazzy-mrpt-reactivenav2d 2.0.0

=== debian/changelog ===
ros-jazzy-mrpt-reactivenav2d (2.0.0-1bookworm) bookworm; urgency=high

  * rnav: add new pure_pursuit mode
  * Implement two action servers: NavigateGoal and NavigateWaypoints
  * Comply with ROS2 REP 2003
  * expose waypoint sequence launch argument
  * use namespaces for launch files
  * rnav node: publish selected PTG as marker
  * FIX: waypoints should also observe frame_id
  * Fix obsolete tf2_geometry_msgs.h header
  * Unify and clarify license headers in all files
  * Merge pull request #134 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/134> from SRai22/ros2
    Merge from SRai22 fork
  * Port to ROS 2
  * Contributors: Jose Luis Blanco-Claraco, Raúl Aguilera López, SRai22

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 27 May 2024 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (1.0.3-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (1.0.2-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (1.0.1-1bookworm) bookworm; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (1.0.0-1bookworm) bookworm; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 29 Apr 2022 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.26-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.25-1bookworm) bookworm; urgency=high

  * fix nav to target clicking in RVIZ
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Oct 2019 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.24-1bookworm) bookworm; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 11 Apr 2019 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.23-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.22-1bookworm) bookworm; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 21 May 2018 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.21-1bookworm) bookworm; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.20-1bookworm) bookworm; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Apr 2018 22:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.18-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.17-1bookworm) bookworm; urgency=high

  * fix build against latest mrpt 1.5.0
  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Update to MRPT 1.5.0
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 21 Jan 2017 23:00:00 -0000

ros-jazzy-mrpt-reactivenav2d (0.1.16-1bookworm) bookworm; urgency=high

  * Fix #52 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/52>
  * Contributors: Jose-Luis Blanco-Claraco


