=== debian/control ===
Source: ros-jazzy-mrpt-reactivenav2d
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-lint-auto, ros-jazzy-ament-lint-common, ros-jazzy-geometry-msgs, ros-jazzy-mrpt-msgs, ros-jazzy-mrpt-nav-interfaces, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-ros, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Homepage: https://github.com/mrpt-ros-pkg/mrpt_navigation
Standards-Version: 3.9.2

Package: ros-jazzy-mrpt-reactivenav2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-lint-auto, ros-jazzy-ament-lint-common, ros-jazzy-geometry-msgs, ros-jazzy-mrpt-msgs, ros-jazzy-mrpt-nav-interfaces, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-ros, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Description: Reactive navigation for wheeled robots using MRPT navigation algorithms (TP-Space)
